diff --git a/books/bookvol10.1.pamphlet b/books/bookvol10.1.pamphlet
index ffd6276..a291a3a 100644
--- a/books/bookvol10.1.pamphlet
+++ b/books/bookvol10.1.pamphlet
@@ -277,7 +277,8 @@ last century, the difficulties posed by algebraic functions caused
 Hardy (1916) to state that ``there is reason to suppose that no such
 method can be given''. This conjecture was eventually disproved by
 Risch (1970), who described an algorithm for this problem in a series
-of reports \cite{12,13,14,15}. In the past 30 years, this procedure
+of reports \cite{Ost1845,Ris68,Ris69a,Ris69b}. 
+In the past 30 years, this procedure
 has been repeatedly improved, extended and refined, yielding practical
 algorithms that are now becoming standard and are implemented in most
 of the major computer algebra systems. In this tutorial, we outline
@@ -400,7 +401,7 @@ approach is the need to factor polynomials over $\mathbb{R}$,
 $\mathbb{C}$, or $\overline{K}$, thereby introducing algebraic numbers
 even if the integrand and its integral are both in $\mathbb{Q}(x)$. On
 the other hand, introducing algebraic numbers may be necessary, for
-example it is proven in \cite{14} that any field containing an
+example it is proven in \cite{Ris69a} that any field containing an
 integral of $1/(x^2+2)$ must also contain $\sqrt{2}$. Modern research
 has yielded so-called ``rational'' algorithms that
 \begin{itemize}
@@ -410,8 +411,8 @@ calculations being done in $K(x)$, and
 express the integral
 \end{itemize}
 The first rational algorithms for integration date back to the
-$19^{{\rm th}}$ century, when both Hermite\cite{6} and
-Ostrogradsky\cite{11} invented methods for computing the $v$ of (4)
+$19^{{\rm th}}$ century, when both Hermite\cite{Her1872} and
+Ostrogradsky\cite{Ost1845} invented methods for computing the $v$ of (4)
 entirely within $K(x)$. We describe here only Hermite's method, since
 it is the one that has been generalized to arbitrary elementary
 functions. The basic idea is that if an irreducible $p \in K[x]$
@@ -430,7 +431,7 @@ finally that
 D_1=\frac{D/R}{gcd(R,D/R)}
 \]
 Computing recursively a squarefree factorization of $R$ completes the
-one for $D$. Note that \cite{23} presents a more efficient method for
+one for $D$. Note that \cite{Yu76} presents a more efficient method for
 this decomposition. Let now $f \in K(x)$ be our integrand, and write
 $f=P+A/D$ where $P,A,D \in K[x]$, $gcd(A,D)=1$, and $deg(A)<deg(D)$. 
 Let $D=D_1D_2^2\cdots D_m^m$ be a squarefree factorization of $D$ and
@@ -469,7 +470,7 @@ follows from (2) that
 where the $\alpha_i$'s are the zeros of $D$ in $\overline{K}$, and the
 $a_i$'s are the residues of $f$ at the $\alpha_i$'s. The problem
 is then to compute those residues without splitting $D$. Rothstein
-\cite{18} and Trager \cite{19} independently proved that the
+\cite{Ro77} and Trager \cite{Tr76} independently proved that the
 $\alpha_i$'s are exactly the zeros of
 \begin{equation}
 R=resultant_x(D,A-tD^{'}) \in K[t]
@@ -484,7 +485,7 @@ where $R=\prod_{i=1}^m R_i^{e_i}$ is the irreducible factorization of
 $R$ over $K$. Note that this algorithm requires factoring $R$ into
 irreducibles over $K$, and computing greatest common divisors in
 $(K[t]/(R_i))[x]$, hence computing with algebraic numbers. Trager and
-Lazard \& Rioboo \cite{7} independently discovered that those
+Lazard \& Rioboo \cite{LR90} independently discovered that those
 computations can be avoided, if one uses the subresultant PRS
 algorithm to compute the resultant of (5): let 
 $(R_0,R_1,\ldots R_k\ne 0,0,\ldots)$ be the subresultant PRS with
@@ -510,7 +511,7 @@ extension $K[t]/(Q_i)$. Even this step can be avoided: it is in fact
 sufficient to ensure that $Q_i$ and the leading coefficient with
 respect to $x$ of $R_{k_i}$ do not have a nontrivial common factor,
 which implies then that the remainder by $Q_i$ is nonzero, see
-\cite{10} for details and other alternatives for computing
+\cite{Mul97} for details and other alternatives for computing
 ${\rm pp}_x(R_{k_i})(a,x)$
 
 \section{Algebraic Functions}
@@ -696,7 +697,7 @@ and $F=27x^4+108x^3+418x^2+108x+27$. The system (10) admits a unique
 solution $f_1=f_2=0, f_3=-2$ and $f_4=(x+1)/x$, whose denominator is
 not coprime with $V$, so the Hermite reduction is not applicable.
 
-The above problem was first solved by Trager \cite{20}, who proved 
+The above problem was first solved by Trager \cite{Tr84}, who proved 
 that if $w$ is an {\sl integral basis, i.e.} its elements generate 
 ${\bf O}_{K[x]}$ over $K[x]$, then the system (8) always has a
 unique solution in $K(x)$ when $m > 1$, and that solution always has a
@@ -706,9 +707,9 @@ a factor of $FUV^{m-1}$ where $F \in K[x]$ is squarefree and coprime
 with $UV$. He also described an algorithm for computing an integral
 basis, a necessary preprocessing for his Hermite reduction. The main
 problem with that approach is that computing the integral basis,
-whether by the method of \cite{20} or the local alternative \cite{21},
+whether by the method of \cite{Tr84} or the local alternative \cite{vH94},
 can be in general more expansive than the rest of the reduction
-process. We describe here the lazy Hermite reduction \cite{5}, which
+process. We describe here the lazy Hermite reduction \cite{Bro98}, which
 avoids the precomputation of an integral basis. It is based on the
 observation that if $m > 1$ and (8) does not have a solution allowing
 us to perform the reduction, then either
@@ -723,7 +724,7 @@ also made up of integral elements, so that that $K[x]$-module
 generated by the new basis strictly contains the one generated by $w$:
 
 \noindent
-{\bf Theorem 1 (\cite{5})} {\sl Suppose that $m \ge 2$ and that 
+{\bf Theorem 1 (\cite{Bro98})} {\sl Suppose that $m \ge 2$ and that 
 $\{S_1,\ldots,S_n\}$ as given by (9) are linearly dependent over $K(x)$,
 and let $T_1,\ldots,T_n \in K[x]$ be not all 0 and such that
 $\sum_{i=1}^n T_iS_i=0$. Then,
@@ -734,7 +735,7 @@ Furthermore, if $\gcd(T_1,\ldots,T_n)=1$ then
 $w_0 \notin K[x]w_1+\cdots+K[x]w_n$.}
 
 \noindent
-{\bf Theorem 2 (\cite{5})} {\sl Suppose that $m \ge 2$ and that
+{\bf Theorem 2 (\cite{Bro98})} {\sl Suppose that $m \ge 2$ and that
 $\{S_1,\ldots,S_n\}$ as given by (9) are linearly independent over
 $K(x)$, and let $Q,T_1,\ldots,T_n \in K[x]$ be such that
 \[
@@ -749,7 +750,7 @@ Furthermore,
 if $\gcd(Q,T_1,\ldots,T_n)=1$ and $\deg(\gcd(V,Q)) \ge 1$, then
 $w_0 \notin K[x]w_1+\cdots+K[x]w_n$.}
 
-{\bf Theorem 3 (\cite{5})} {\sl Suppose that the denominator $F$ of
+{\bf Theorem 3 (\cite{Bro98})} {\sl Suppose that the denominator $F$ of
 some $w_i$ is not squarefree, and let $F=F_1F_2^2\cdots F_k^k$ be its
 squarefree factorization. Then,}
 \[
@@ -929,7 +930,7 @@ integration problem by allowing only new logarithms to appear linearly
 in the integral, all the other terms appearing in the integral being
 already in the integrand.
 
-{\bf Theorem 4 (Liouville \cite{8,9})} {\sl
+{\bf Theorem 4 (Liouville \cite{Lio1833a,Lio1833b})} {\sl
 Let $E$ be an algebraic extension of the rational function field
 $K(x)$, and $f \in E$. If $f$ has an elementary integral, then there
 exist $v \in E$, constants $c_1,\ldots,c_n \in \overline{K}$ and
@@ -938,9 +939,9 @@ $u_1,\ldots,u_k \in E(c_1,\ldots,c_k)^{*}$ such that}
 f=v^{'}+c_1\frac{u_1^{'}}{u_1}+\cdots+c_k\frac{u_k^{'}}{u_k}
 \end{equation}
 The above is a restriction to algebraic functions of the strong
-Liouville Theorem, whose proof can be found in \cite{4,14}. An elegant
+Liouville Theorem, whose proof can be found in \cite{Bro97,Ris69b}. An elegant
 and elementary algebraic proof of a slightly weaker version can be
-found in \cite{17}. As a consequence, we can look for an integral of
+found in \cite{Ro72}. As a consequence, we can look for an integral of
 the form (4), Liouville's Theorem guaranteeing that there is no
 elementary integral if we cannot find one in that form. Note that the
 above theorem does not say that every integral must have the above
@@ -961,7 +962,7 @@ $c_1,\ldots,c_k$. Since $D$ is squarefree, it can be shown that
 $v \in {\bf O}_{K[x]}$ for any solution, and in fact $v$
 corresponds to the polynomial part of the integral of rational
 functions. It is however more difficult to compute than the integral
-of polynomials, so Trager \cite{20} gave a change of variable that
+of polynomials, so Trager \cite{Tr84} gave a change of variable that
 guarantees that either $v^{'}=0$ or $f$ has no elementary integral. In
 order to describe it, we need to define the analogue for algebraic
 functions of having a nontrivial polynomial part: we say that 
@@ -983,7 +984,7 @@ $\alpha = \sum_{i=1}^n B_ir_ib_i/C$ where $C,B_1,\ldots,B_n \in K[x]$
 and $deg(C) \ge deg(B_i)$ for each $i$. We say that the differential
 $\alpha ~dx$ is integral at infinity if 
 $\alpha x^{1+1/r} \in {\bf O}_\infty$ where $r$ is the smallest
-ramification index at infinity. Trager \cite{20} described an
+ramification index at infinity. Trager \cite{Tr84} described an
 algorithm that converts an arbitrary integral basis $w_1,\ldots,w_n$
 into one that is also normal at infinity, so the first part of his
 integration algorithm is as follows:
@@ -1047,7 +1048,7 @@ $K(z)$, and $w$ is normal at infinity
 \end{itemize}
 A primitive element can be computed by considering linear combinations
 of the generators of $E$ over $K(x)$ with random coefficients in
-$K(x)$, and Trager \cite{20} describes an absolute factorization
+$K(x)$, and Trager \cite{Tr84} describes an absolute factorization
 algorithm, so the above assumptions can be ensured, although those
 steps can be computationally very expensive, except in the case of
 simple radical extensions. Before describing the second part of
@@ -1107,7 +1108,7 @@ elementary, with the smallest possible number of logarithms. Steps 3
 to 6 requires computing in the splitting field $K_0$ of $R$ over $K$,
 but it can be proven that, as in the case of rational functions, $K_0$
 is the minimal algebraic extension of $K$ necessary to express the
-integral in the form (4). Trager \cite{20} describes a representation
+integral in the form (4). Trager \cite{Tr84} describes a representation
 of divisors as fractional ideals and gives algorithms for the
 arithmetic of divisors and for testing whether a given divisor is
 principal. In order to determine whether there exists an integer $N$
@@ -1117,7 +1118,7 @@ extension to one over a finite field $\mathbb{F}_{p^q}$ for some
 known that for every divisor $\delta=\sum{n_PP}$ such that
 $\sum{n_P}=0$, $M\delta$ is principal for some integer
 $1 \le M \le (1+\sqrt{p^q})^{2g}$, where $g$ is the genus of the curve
-\cite{22}, so we compute such an $M$ by testing $M=1,2,3,\ldots$ until
+\cite{We71}, so we compute such an $M$ by testing $M=1,2,3,\ldots$ until
 we find it. It can then be shown that for almost all primes $p$, if
 $M\delta$ is not principal in characteristic 0, the $N\delta$ is not
 principal for any integer $N \ne 0$. Since we can test whether the
@@ -1125,7 +1126,7 @@ prime $p$ is ``good'' by testing whether the image in
 $\mathbb{F}_{p^q}$ of the discriminant of the discriminant of the
 minimal polynomial for $y$ over $K[z]$ is 0, this yields a complete
 algorithm. In the special case of hyperelliptic extensions, {\sl i.e.}
-simple radical extensions of degree 2, Bertrand \cite{1} describes a
+simple radical extensions of degree 2, Bertrand \cite{Ber95} describes a
 simpler representation of divisors for which the arithmetic and
 principality tests are more efficient than the general methods.
 
@@ -1262,7 +1263,7 @@ new constant, and an exponential could in fact be algebraic, for
 example $\mathbb{Q}(x)(log(x),log(2x))=\mathbb{Q}(log(2))(x)(log(x))$
 and $\mathbb{Q}(x)(e^{log(x)/2})=\mathbb{Q}(x)(\sqrt{x})$. There are
 however algorithms that detect all such occurences and modify the
-tower accordingly \cite{16}, so we can assume that all the logarithms
+tower accordingly \cite{Ris79}, so we can assume that all the logarithms
 and exponentials appearing in $E$ are monomials, and that 
 ${\rm Const}(E)=C$. Let now $k_0$ be the largest index such that
 $t_{k_0}$ is transcendental over $K=C(x)(t_1,\ldots,t_{k_0-1})$ and
@@ -1404,7 +1405,7 @@ special $S \in K[t]$ with $deg_t(S) > 0$, we have
 R=\frac{1}{deg_t(S)}\frac{r_{d-1}}{c_d}\frac{S'}{S}+\overline{R}
 \]
 where $\overline{R} \in K[t]$ is such that $\overline{R}=0$ or
-$deg_t(\overline{R}) < e-1$. Furthermore, it can be proven \cite{4}
+$deg_t(\overline{R}) < e-1$. Furthermore, it can be proven \cite{Bro97}
 that if $R+A/D$ has an elementary integral over $K(t)$, then 
 $r_{d-1}/{c_d}$ is a constant, which implies that
 \[
@@ -1454,7 +1455,7 @@ g=\sum_{i=1}^k\sum_{a|Q_i(a)=0} a\log(\gcd{}_t(D,A-aD'))
 Note that the roots of each $Q_i$ must all be constants, and that the
 arguments of the logarithms can be obtained directly from the
 subresultant PRS of $D$ and $A-zD'$ as in the rational function
-case. It can then be proven \cite{4} that
+case. It can then be proven \cite{Bro97} that
 \begin{itemize}
 \item $f-g'$ is always ``simpler'' than $f$
 \item the splitting field of $Q_1\cdots Q_k$ over $K$ is the minimal
@@ -1529,7 +1530,7 @@ $z$ be a new indeterminante and compute
 \begin{equation}
 R(z)={\rm resultant_t}({\rm pp_z}({\rm resultant_y}(G-tHD',F)),D) \in K[t]
 \end{equation}
-It can then be proven \cite{2} that if $f$ has an elementary integral
+It can then be proven \cite{Bro90} that if $f$ has an elementary integral
 over $E$, then $R|\kappa(R)$ in $K[z]$.
 
 {\bf Example 12} {\sl
@@ -1581,7 +1582,7 @@ to $f_d$, either proving that (18) has no solution, in which case $f$
 has no elementary integral, or obtaining the constant $v_{d+1}$, and
 $v_d$ up to an additive constant (in fact, we apply recursively a
 specialized version of the integration algorithm to equations of the
-form (18), see \cite{4} for details). Write then
+form (18), see \cite{Bro97} for details). Write then
 $v_d=\overline{v_d}+c_d$ where $\overline{v_d} \in K$ is known and 
 $c_d \in {\rm Const}(K)$ is undetermined. Equating the coefficients of
 $t^{d-1}$ yields
@@ -1623,13 +1624,15 @@ which is simply an integration problem for $f_0 \in K$, and
 \[
 f_i=v_i^{'}+ib'v_i\quad{\rm for\ }e \le i \le d, i \ne 0
 \]
-The above problem is called a {\sl Risch differential equation over
-K}. Although solving it seems more complicated than solving $g'=f$, it
+
+The above problem is called a {\sl Risch differential equation overK}. 
+Although solving it seems more complicated than solving $g'=f$, it
 is actually simpler than an integration problem because we look for
 the solutions $v_i$ in $K$ only rather than in an extension of
-$K$. Bronstein \cite{2,3,4} and Risch \cite{12,13,14} describe
-algorithms for solving this type of equation when $K$ is an elementary
-extension of the rational function field.
+$K$. Bronstein \cite{Bro90,Bro91,Bro97} and Risch
+\cite{Ris68,Ris69a,Ris69b} describe algorithms for solving this type
+of equation when $K$ is an elementary extension of the rational
+function field.
 
 \subsection{The transcendental tangent case}
 Suppose now that $t=\tan(b)$ for some $b \in K$, {\sl i.e.}
@@ -1680,7 +1683,7 @@ b
 where $at+b$ and $ct+d$ are the remainders module $t^2+1$ of $A$ and
 $V$ respectively. The above is a coupled differential system, which
 can be solved by methods similar to the ones used for Risch
-differential equations \cite{4}. If it has no solution, then the
+differential equations \cite{Bro97}. If it has no solution, then the
 integral is not elementary, otherwise we reduce the integrand to 
 $h \in K[t]$, at which point the polynomial reduction either proves
 that its integral is not elementary, or reduce the integrand to an
@@ -1869,7 +1872,7 @@ whose solution is $v_2=2$, implying that $h=2y'$, hence that
 In the general case when $E$ is not a radical extension of $K(t)$, 
 (21) is solved by bounding $deg_t(v_i)$ and comparing the Puiseux
 expansions at infinity of $\sum_{i=1}^n v_iw_i$ with those of the form
-(20) of $h$, see \cite{2,12} for details.
+(20) of $h$, see \cite{Bro90,Ris68} for details.
 
 \subsection{The algebraic exponential case}
 The transcendental exponential case method also generalizes to the
@@ -1992,7 +1995,7 @@ following the Hermite reduction, any solution of (13) must have
 $v=\sum_{i=1}^n v_iw_i/t^m$ where $v_1,\ldots,v_m \in K[t]$. We can
 compute $v$ by bounding $deg_t(v_i)$ and comparing the Puiseux
 expansions at $t=0$ and at infinity of $\sum_{i=1}^n v_iw_i/t^m$ with
-those of the form (20) of the integrand, see \cite{2,12} for details.
+those of the form (20) of the integrand, see \cite{Bro90,Ris68} for details.
 
 Once we are reduced to solving (13) for $v \in K$, constants
 $c_1,\ldots,c_k \in \overline{K}$ and 
@@ -2002,7 +2005,7 @@ places above $t=0$ and at infinity in a manner similar to the
 algebraic logarithmic case, at which point the algorithm proceeds by
 constructing the divisors $\delta_j$ and the $u_j$'s as in that
 case. Again, the details are quite technical and can be found in 
-\cite{2,12,13}.
+\cite{Bro90,Ris68,Ris69a}.
 
 \chapter{Singular Value Decomposition}
 \section{Singular Value Decomposition Tutorial}
@@ -2415,7 +2418,7 @@ are the same. We are trying to predict patterns of how words occur
 in documents instead of trying to predict patterns of how players 
 score on holes.
 \chapter{Quaternions}
-from\cite{1}:
+from\cite{Alt05}:
 \begin{quotation}
 Quaternions are inextricably linked to rotations.
 Rotations, however, are an accident of three-dimensional space.
@@ -2437,7 +2440,7 @@ The Theory of Quaternions is due to Sir William Rowan Hamilton,
 Royal Astronomer of Ireland, who presented his first paper on the
 subject to the Royal Irish Academy in 1843. His Lectures on
 Quaternions were published in 1853, and his Elements, in 1866,
-shortly after his death. The Elements of Quaternions by Tait\cite{33} is
+shortly after his death. The Elements of Quaternions by Tait\cite{Ta1980} is
 the accepted text-book for advanced students.
 
 Large portions of this file are derived from a public domain version
@@ -7586,13 +7589,13 @@ i =
 \right]
 $$
 
-\chapter{Clifford Algebra\cite{39}}
+\chapter{Clifford Algebra\cite{Fl09}}
 
-This is quoted from John Fletcher's web page\cite{39} (with permission).
+This is quoted from John Fletcher's web page\cite{Fl09} (with permission).
 
 The theory of Clifford Algebra includes a statement that each Clifford
 Algebra is isomorphic to a matrix representation. Several authors
-discuss this and in particular Ablamowicz\cite{41} gives examples of
+discuss this and in particular Ablamowicz\cite{Ab98} gives examples of
 derivation of the matrix representation. A matrix will itself satisfy
 the characteristic polynomial equation obeyed by its own
 eigenvalues. This relationship can be used to calculate the inverse of
@@ -7607,7 +7610,7 @@ Clifford(2), Clifford(3) and Clifford(2,2).
 Introductory texts on Clifford algebra state that for any chosen
 Clifford Algebra there is a matrix representation which is equivalent.
 Several authors discuss this in more detail and in particular,
-Ablamowicz\cite{41} shows that the matrices can be derived for each algebra
+Ablamowicz\cite{Ab98} shows that the matrices can be derived for each algebra
 from a choice of idempotent, a member of the algebra which when
 squared gives itself.  The idea of this paper is that any matrix obeys
 the characteristic equation of its own eigenvalues, and that therefore
@@ -7622,7 +7625,7 @@ implementation. This knowledge is not believed to be new, but the
 theory is distributed in the literature and the purpose of this paper
 is to make it clear.  The examples have been first developed using a
 system of symbolic algebra described in another paper by this
-author\cite{40}.  
+author\cite{Fl01}.  
 
 \section{Clifford Basis Matrix Theory}
 
@@ -8064,7 +8067,7 @@ simple cases of wide usefulness.
 
 \subsection{Example 3: Clifford (2,2)}
 
-The following basis matrices are given by Ablamowicz\cite{41}
+The following basis matrices are given by Ablamowicz\cite{Ab98}
 
 \[
 \begin{array}{cc}
@@ -8314,7 +8317,7 @@ and
 \[n^{-1}_2 = \frac{n^3_2- 4n^2_2 + 8n_2 - 8}{4}\]
 
 This expression can be evaluated easily using a computer algebra
-system for Clifford algebra such as described in Fletcher\cite{40}. 
+system for Clifford algebra such as described in Fletcher\cite{Fl01}. 
 The result is
 
 \[
@@ -8341,6 +8344,73 @@ and for more complex systems the algebra of the inverse can be
 generated and evaluated numerically for a particular example, given a
 system of computer algebra for Clifford algebra.
 
+\chapter{Package for Algebraic Function Fields}
+
+PAFF is a Package for Algebraic Function Fields in one variable
+by Ga\'etan Hach\'e
+
+PAFF is a package written in Axiom and one of its many purpose is to
+construct geometric Goppa codes (also called algebraic geometric codes
+or AG-codes). This package was written as part of Ga\'etan's doctorate
+thesis on ``Effective construction of geometric codes'': this thesis was
+done at Inria in Rocquencourt at project CODES and under the direction
+of Dominique LeBrigand at Université Pierre et Marie Curie (Paris
+6). Here is a r\'esum\'e of the thesis.
+
+It is well known that the most difficult part in constructing AG-code
+is the computation of a basis of the vector space ``L(D)'' where D is a
+divisor of the function field of an irreducible curve. To compute such
+a basis, PAFF used the Brill-Noether algorithm which was generalized
+to any plane curve by D. LeBrigand and J.J. Risler (see [LR88] ). In [Ha96]
+you will find more details about the algorithmic aspect of the
+Brill-Noether algorithm. Also, if you prefer, as I do, a strictly
+algebraic approach, see [Ha95]. This is the approach I used in my thesis
+([Ha96]) and of course this is where you will find complete details about
+the implementation of the algorithm. The algebraic approach use the
+theory of algebraic function field in one variable : you will find in
+[St93] a very good introduction to this theory and AG-codes.
+
+It is important to notice that PAFF can be used for most computation
+related to the function field of an irreducible plane curve. For
+example, you can compute the genus, find all places above all the
+singular points, compute the adjunction divisor and of course compute
+a basis of the vector space L(D) for any divisor D of the function
+field of the curve.
+
+There is also the package PAFFFF which is especially designed to be
+used over finite fields. This package is essentially the same as PAFF,
+except that the computation are done over ``dynamic extensions'' of the
+ground field. For this, I used a simplify version of the notion of
+dynamic algebraic closure as proposed by D. Duval (see [Du95]).
+
+Example 1
+
+This example compute the genus of the projective plane curve defined by:
+\begin{verbatim}
+       5    2 3      4
+      X  + Y Z  + Y Z  = 0
+\end{verbatim}
+over the field GF(2).
+
+First we define the field GF(2).
+\begin{verbatim}
+K:=PF 2
+R:=DMP([X,Y,Z],K)
+P:=PAFF(K,[X,Y,Z],BLQT)
+\end{verbatim}
+
+We defined the polynomial of the curve.
+\begin{verbatim}
+C:R:=X**5 + Y**2*Z**3+Y*Z**4
+\end{verbatim}
+
+We give it to the package PAFF(K,[X,Y,Z]) which was assigned to the
+variable $P$.
+
+\begin{verbatim}
+setCurve(C)$P
+\end{verbatim}
+
 \chapter{Groebner Basis}
 Groebner Basis
 \chapter{Greatest Common Divisor}
@@ -8359,122 +8429,186 @@ Chinese Remainder Theorem
 Gaussian Elimination
 \chapter{Diophantine Equations}
 Diophantine Equations
+
 \begin{thebibliography}{99}
-\bibitem{1} Altmann, Simon L. Rotations, Quaternions, and Double Groups
+\bibitem[Ab98]{Ab98}
+Ablamowicz Rafal, ``Spinor Representations of Clifford
+Algebras: A Symbolic Approach'', Computer Physics Communications
+Vol. 115, No. 2-3, December 11, 1998, pages 510-535.
+\bibitem[Alt05]{Alt05}
+Altmann, Simon L. Rotations, Quaternions, and Double Groups
 Dover Publications, Inc. 2005 ISBN 0-486-44518-6
-\bibitem{2} Laurent Bertrand. Computing a hyperelliptic integral using
+\bibitem[Ber95]{Ber95}
+Laurent Bertrand. Computing a hyperelliptic integral using
 arithmetic in the jacobian of the curve. {\sl Applicable Algebra in
 Engineering, Communication and Computing}, 6:275-298, 1995
-\bibitem{3} M. Bronstein. On the integration of elementary functions.
+\bibitem[Bro90]{Bro90}
+M. Bronstein. ``On the integration of elementary functions''
 {\sl Journal of Symbolic Computation} 9(2):117-173, February 1990
-\bibitem{4} M. Bronstein. The Risch differential equation on an
+\bibitem[Bro91]{Bro91}
+M. Bronstein. The Risch differential equation on an
 algebraic curve. In S.Watt, editor, {\sl Proceedings of ISSAC'91},
 pages 241-246, ACM Press, 1991.
-\bibitem{5} M. Bronstein. {\sl Symbolic Integration I--Transcendental
+\bibitem[Bro97]{Bro97}
+M. Bronstein. {\sl Symbolic Integration I--Transcendental
 Functions.} Springer, Heidelberg, 1997
-\bibitem{6} M. Bronstein. The lazy hermite reduction. Rapport de
+\bibitem[Br98]{Br98}
+Bronstein, Manuel "Symbolic Integration Tutorial"
+INRIA Sophia Antipolis ISSAC 1998 Rostock
+\bibitem[Bro98]{Bro98}
+M. Bronstein. The lazy hermite reduction. Rapport de
 Recherche RR-3562, INRIA, 1998
-\bibitem{7} E. Hermite. Sur l'int\'{e}gration des fractions
+\bibitem[CS03]{CS03}
+Conway, John H. and Smith, Derek, A., ``On Quaternions and Octonions'' 
+A.K Peters, Natick, MA. (2003) ISBN 1-56881-134-9
+\bibitem[Dal03]{Dal03}
+Daly, Timothy, ``The Axiom Wiki Website''
+\verb|http://axiom.axiom-developer.org|
+\bibitem[Dal09]{Dal09}
+Daly, Timothy, "The Axiom Literate Documentation"
+\verb|http://axiom.axiom-developer.org/axiom-website/documentation.html|
+\bibitem[Du95]{Du95}
+Duval, D. ``Evaluation dynamique et cl\^oture alg\'ebrique en Axiom''. 
+Journal of Pure and Applied Algebra, no99, 1995, pp. 267--295.
+\bibitem[Fl01]{Fl01}
+Fletcher, John P. ``Symbolic processing of Clifford Numbers in C++'', 
+Paper 25, AGACSE 2001.
+\bibitem[Fl09]{Fl09}
+Fletcher, John P. ``Clifford Numbers and their inverses
+calculated using the matrix representation.'' Chemical Engineering and
+Applied Chemistry, School of Engineering and Applied Science, Aston
+University, Aston Triangle, Birmingham B4 7 ET, U. K. 
+\verb|www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php|
+\bibitem[Ga95]{Ga95}
+Garcia, A. and Stichtenoth, H.
+``A tower of Artin-Schreier extensions of function fields attaining the 
+Drinfeld-Vladut bound'' Invent. Math., vol. 121, 1995, pp. 211--222.
+\bibitem[Ha1896]{Ha1896}
+Hathway, Arthur S., "A Primer Of Quaternions"  (1896)
+\bibitem[Ha95]{Ha95}
+Hach\'e, G. ``Computation in algebraic function fields for effective 
+construction of algebraic-geometric codes'' 
+Lecture Notes in Computer Science, vol. 948, 1995, pp. 262--278.
+\bibitem[Ha96]{Ha96}
+Hach\'e, G. ``Construction effective des codes g\'eom\'etriques''
+Th\'ese de doctorat de l'Universit\'e Pierre et Marie Curie (Paris 6), 
+Septembre 1996.
+\bibitem[Her1872]{Her1872}
+E. Hermite. Sur l'int\'{e}gration des fractions
 rationelles. {\sl Nouvelles Annales de Math\'{e}matiques}
 ($2^{eme}$ s\'{e}rie), 11:145-148, 1872
-\bibitem{8} Daniel Lazard and Renaud Rioboo. Integration of rational
+\bibitem[HI96]{HI96}
+Huang, M.D. and Ierardi, D.
+``Efficient algorithms for Riemann-Roch problem and for addition in the 
+jacobian of a curve'' 
+Proceedings 32nd Annual Symposium on Foundations of Computer Sciences. 
+IEEE Comput. Soc. Press, pp. 678--687.
+\bibitem[HL95]{HL95}
+Hach\'e, G. and Le Brigand, D.
+``Effective construction of algebraic geometry codes'' 
+IEEE Transaction on Information Theory, vol. 41, n27 6, 
+November 1995, pp. 1615--1628.
+\bibitem[JS92]{JS92}
+Richard D. Jenks and Robert S. Sutor ``AXIOM: The Scientific Computation
+System'' 
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1992 ISBN 0-387-97855-0 (New York), 3-540-97855-0 (Berlin) 742pp
+LCCN QA76.95.J46 1992
+\bibitem[Knu84]{Knu84}
+Knuth, Donald, {\it The \TeX{}book} \\
+Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
+1984. ISBN 0-201-13448-9
+\bibitem[Kn92]{Kn92}
+Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4 Stanford CA (1992) 
+\bibitem[La86]{La86}
+Lamport, Leslie, 
+{\it LaTeX: A Document Preparation System,} \\
+Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
+1986. ISBN 0-201-15790-X
+\bibitem[LR88]{LR88}
+Le Brigand, D. and Risler, J.J.
+``Algorithme de Brill-Noether et codes de Goppa''
+Bull. Soc. Math. France, vol. 116, 1988, pp. 231--253.
+\bibitem[LR90]{LR90}
+Daniel Lazard and Renaud Rioboo. Integration of rational
 functions: Rational coputation of the logarithmic part {\sl Journal of
 Symbolic Computation}, 9:113-116:1990
-\bibitem{9} Joseph Liouville. Premier m\'{e}moire sur la
+\bibitem[Lio1833a]{Lio1833a}
+Joseph Liouville. Premier m\'{e}moire sur la
 d\'{e}termination des int\'{e}grales dont la valeur est
-alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:124-148,
-1833
-\bibitem{10} Joseph Liouville. Second m\'{e}moire sur la
+alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
+\bibitem[Lio1833b]{Lio1833b}
+Joseph Liouville. Second m\'{e}moire sur la
 d\'{e}termination des int\'{e}grales dont la valeur est
 alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:149-193,
 1833
-\bibitem{11} Thom Mulders. A note on subresultants and a correction to
+\bibitem[Mul97]{Mul97}
+Thom Mulders. A note on subresultants and a correction to
 the lazard/rioboo/trager formula in rational function integration {\sl
 Journal of Symbolic Computation}, 24(1):45-50, 1997
-\bibitem{12} M.W. Ostrogradsky. De l'int\'{e}gration des fractions
+\bibitem[Ost1845]{Ost1845}
+M.W. Ostrogradsky. De l'int\'{e}gration des fractions
 rationelles. {\sl Bulletin de la Classe Physico-Math\'{e}matiques de
 l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,}
 IV:145-167,286-300, 1845
-\bibitem{13} Robert Risch. On the integration of elementary functions
+\bibitem[Pu09]{Pu09}
+Puffinware LLC ``Singular Value Decomposition (SVD) Tutorial'' 
+\verb|www.puffinwarellc.com/p3a.htm|
+\bibitem[Ra03]{Ra03}
+Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for Literate Programming''
+\verb|www.eecs.harvard.edu/~nr/noweb|
+\bibitem[Ris68]{Ris68}
+Robert Risch. On the integration of elementary functions
 which are built up using algebraic operations. Research Report
-SP-2801/002/00, System Development Corporation, Santa Monica, CA, USA,
-1968
-\bibitem{14} Robert Risch. Further results on elementary
-functions. Research Report RC-2042, IBM Research, Yorktown Heights,
-NY, USA, 1969
-\bibitem{15} Robert Risch, The problem of integration in finite
-terms. {\sl Transactions of the American Mathematical Society}
-139:167-189, 1969
-\bibitem{16} Robert Risch. The solution of problem of integration in
-finite terms. {\sl Transactions of the American Mathematical Society}
-76:605-608, 1970
-\bibitem{17} Robert Risch. Algebraic properties of the elementary
-functions of analysis. {\sl American Journal of Mathematics},
-101:743-759, 1979
-\bibitem{18} Maxwell Rosenlicht. Integration in finite terms. {\sl
-American Mathematical Monthly}, 79:963-972, 1972
-\bibitem{19} Michael Rothstein. A new algorithm for the integration of
-exponential and logarithmic functions. In {\sl Proceedings of the 1977
+SP-2801/002/00, System Development Corporation, Santa Monica, CA, USA, 1968
+\bibitem[Ris69a]{Ris69a}
+Robert Risch. ``Further results on elementary functions'' 
+Research Report RC-2042, IBM Research, Yorktown Heights, NY, USA, 1969
+\bibitem[Ris69b]{Ris69b}
+Robert Risch, ``The problem of integration in finite terms'' 
+{\sl Transactions of the American Mathematical Society} 139:167-189, 1969
+\bibitem[Ris70]{Ris70}
+Robert Risch. ``The solution of problem of integration in finite terms'' 
+{\sl Transactions of the American Mathematical Society} 76:605-608, 1970
+\bibitem[Ris79]{Ris79}
+Robert Risch. ``Algebraic properties of the elementary functions of analysis'' 
+{\sl American Journal of Mathematics}, 101:743-759, 1979
+\bibitem[Ro72]{Ro72}
+Maxwell Rosenlicht. Integration in finite terms. 
+{\sl American Mathematical Monthly}, 79:963-972, 1972
+\bibitem[Ro77]{Ro77}
+Michael Rothstein. ``A new algorithm for the integration of
+exponential and logarithmic functions'' In {\sl Proceedings of the 1977
 MACSYMA Users Conference}, pages 263-274. NASA Pub CP-2012, 1977
-\bibitem{20} Barry Trager. Algebraic factoring and rational function
-integration. In {Proceedings of SYMSAC'76} pages 219-226, 1976
-\bibitem{21} Barry Trager {\sl On the integration of algebraic
-functions}, PhD thesis, MIT, Computer Science, 1984
-\bibitem{22} M. van Hoeij. An algorithm for computing an integral
-basis in an algebraic function field. {\sl J. Symbolic Computation}
+\bibitem[St93]{St93}
+Stichtenoth, H. ``Algebraic function fields and codes''
+Springer-Verlag, 1993, University Text.
+\bibitem[Ta1890]{Ta1980}
+Tait, P.G.,{\it An Elementary Treatise on Quaternions} 
+C.J. Clay and Sons, Cambridge University Press Warehouse, Ave Maria Lane 1890
+\bibitem[Tr76]{Tr76}
+Trager, Barry ``Algebraic factoring and rational function integration''
+In {Proceedings of SYMSAC'76} pages 219-226, 1976
+\bibitem[Tr84]{Tr84}
+Trager Barry {\sl On the integration of algebraic functions}, 
+PhD thesis, MIT, Computer Science, 1984
+\bibitem[vH94]{vH94}
+M. van Hoeij. ``An algorithm for computing an integral
+basis in an algebraic function field'' {\sl J. Symbolic Computation}
 18(4):353-364, October 1994
-\bibitem{23} Andr\'{e} Weil, {\sl Courbes alg\'{e}briques et
+\bibitem[Wa03]{Wa03}
+Watt, Stephen, ``Aldor'', \verb|www.aldor.org|
+\bibitem[We71]{We71}
+Andr\'{e} Weil, {\sl Courbes alg\'{e}briques et
 vari\'{e}t\'{e}s Abeliennes} Hermann, Paris, 1971
-\bibitem{24} D.Y.Y. Yun. On square-free decomposition algorithms. In
+\bibitem[Wo09]{Wo09}
+Wolfram Research, \verb|mathworld.wolfram.com/Quaternion.html|
+\bibitem[Yu76]{Yu76}
+D.Y.Y. Yun. ``On square-free decomposition algorithms''
 {\sl Proceedings of SYMSAC'76} pages 26-35, 1976
-\bibitem{25} Bronstein, Manuel "Symbolic Integration Tutorial"
-INRIA Sophia Antipolis ISSAC 1998 Rostock
-\bibitem{26} Jenks, R.J. and Sutor, R.S. 
-``Axiom -- The Scientific Computation System''
-Springer-Verlag New York (1992)
-ISBN 0-387-97855-0
-\bibitem{27} Knuth, Donald E., ``Literate Programming''
-Center for the Study of Language and Information
-ISBN 0-937073-81-4
-Stanford CA (1992) 
-\bibitem{28} Daly, Timothy, ``The Axiom Wiki Website''\\
-{\bf http://axiom.axiom-developer.org}
-\bibitem{29} Watt, Stephen, ``Aldor'',\\
-{\bf http://www.aldor.org}
-\bibitem{30} Lamport, Leslie, ``Latex -- A Document Preparation System'',
-Addison-Wesley, New York ISBN 0-201-52983-1
-\bibitem{31} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
-Literate Programming''\\
-{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
-\bibitem{32} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\bibitem{33} {\bf http://www.puffinwarellc.com/p3a.htm}
-\bibitem{34} Tait, P.G.,
-{\it An Elementary Treatise on Quaternions} \\
-C.J. Clay and Sons, Cambridge University Press Warehouse,
-Ave Maria Lane 1890
-\bibitem{35} Knuth, Donald, {\it The \TeX{}book} \\
-Reading, Massachusetts, 
-Addison-Wesley Publishing Company, Inc., 
-1984. ISBN 0-201-13448-9
-\bibitem{36} Hathway, Arthur S., "A Primer Of Quaternions"  (1896)
-\bibitem{37} Conway, John H. and Smith, Derek, A., 
-"On Quaternions and Octonions", A.K Peters, Natick, MA. (2003)
-ISBN 1-56881-134-9
-\bibitem{38} http://mathworld.wolfram.com/Quaternion.html
-\bibitem{39} Fletcher, John P. ``Clifford Numbers and their inverses
-calculated using the matrix representation.'' Chemical Engineering and
-Applied Chemistry, School of Engineering and Applied Science, Aston
-University, Aston Triangle, Birmingham B4 7 ET, U. K. 
-\verb|http://www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php|
-\bibitem{40} Fletcher, John P. ``Symbolic processing of Clifford
-Numbers in C++'', Paper 25, AGACSE 2001.
-\bibitem{41} Ablamowicz Rafal, ``Spinor Representations of Clifford
-Algebras: A Symbolic Approach'', Computer Physics Communications
-Vol. 115, No. 2-3, December 11, 1998, pages 510-535.
-
 \end{thebibliography}
-\end{document}
-
+\chapter{Index}
 \printindex
 \end{document}
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 0a3a5ca..99bcd11 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -121,6 +121,9 @@ In Wang [Wan92] pp369-375 ISBN 0-89791-489-9 (soft cover) 0-89791-490-2
 T. Daly ``Axiom as open source'' SIGSAM Bulletin (ACM Special Interest Group
 on Symbolic and Algebraic Manipulation) 36(1) pp28-?? March 2002
 CODEN SIGSBZ ISSN 0163-5824
+\bibitem[Dal03]{Dal03}
+Daly, Timothy, ``The Axiom Wiki Website''
+\verb|http://axiom.axiom-developer.org|
 \bibitem[Dal09]{Dal09}
 Daly, Timothy, "The Axiom Literate Documentation"
 \verb|http://axiom.axiom-developer.org/axiom-website/documentation.html|
@@ -439,6 +442,9 @@ LCCN QA76.95.I59 1989
 Online 72: conference proceedings ... international conference on online
 interactive computing, Brunel University, Uxbridge, England, 4-7 September
 1972 ISBN 0-903796-02-3 LCCN QA76.55.O54 1972 Two volumes.
+\bibitem[Pa07]{Pa07}
+Page, William S. ``Axiom - Open Source Computer Algebra System'' Poster
+ISSAC 2007 Proceedings Vol 41 No 3 Sept 2007 p114
 \bibitem[Pet71]{Pet71}
 S. R. Petric, editor. Proceedings of the second symposium on Symbolic and
 Algebraic Manipulation, March 23-25, 1971, Los Angeles, California, ACM Press,
@@ -575,17 +581,10 @@ Karlsruhe, Germany, 1992
 
 \section{Axiom Citations of External Sources}
 \begin{thebibliography}{999}
-\bibitem[Lam]{Lam}
-Lamport, Leslie, 
-{\it LaTeX: A Document Preparation System,} \\
-Reading, Massachusetts, 
-Addison-Wesley Publishing Company, Inc., 
-1986. ISBN 0-201-15790-X
-\bibitem[Knu84]{Knu84}
-Knuth, Donald, {\it The \TeX{}book} \\
-Reading, Massachusetts, 
-Addison-Wesley Publishing Company, Inc., 
-1984. ISBN 0-201-13448-9
+\bibitem[Ab98]{Ab98}
+Ablamowicz Rafal, ``Spinor Representations of Clifford
+Algebras: A Symbolic Approach'', Computer Physics Communications
+Vol. 115, No. 2-3, December 11, 1998, pages 510-535.
 \bibitem[Alt05]{Alt05}
 Altmann, Simon L. Rotations, Quaternions, and Double Groups
 Dover Publications, Inc. 2005 ISBN 0-486-44518-6
@@ -593,6 +592,9 @@ Dover Publications, Inc. 2005 ISBN 0-486-44518-6
 Laurent Bertrand. Computing a hyperelliptic integral using
 arithmetic in the jacobian of the curve. {\sl Applicable Algebra in
 Engineering, Communication and Computing}, 6:275-298, 1995
+\bibitem[Br98]{Br98}
+Bronstein, Manuel "Symbolic Integration Tutorial"
+INRIA Sophia Antipolis ISSAC 1998 Rostock
 \bibitem[Bro90]{Bro90}
 M. Bronstein. ``On the integration of elementary functions''
 {\sl Journal of Symbolic Computation} 9(2):117-173, February 1990
@@ -606,10 +608,24 @@ Springer, Heidelberg, 1997 ISBN 3-540-21493-3
 \bibitem[Bro98]{Bro98}
 M. Bronstein. ``The lazy hermite reduction'' Rapport de
 Recherche RR-3562, INRIA, 1998
+\bibitem[CS03]{CS03}
+Conway, John H. and Smith, Derek, A., ``On Quaternions and Octonions'' 
+A.K Peters, Natick, MA. (2003) ISBN 1-56881-134-9
+\bibitem[Fl01]{Fl01}
+Fletcher, John P. ``Symbolic processing of Clifford Numbers in C++'', 
+Paper 25, AGACSE 2001.
+\bibitem[Fl09]{Fl09}
+Fletcher, John P. ``Clifford Numbers and their inverses
+calculated using the matrix representation.'' Chemical Engineering and
+Applied Chemistry, School of Engineering and Applied Science, Aston
+University, Aston Triangle, Birmingham B4 7 ET, U. K. 
+\verb|www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php|
 \bibitem[Ga95]{Ga95}
 Garcia, A. and Stichtenoth, H.
 ``A tower of Artin-Schreier extensions of function fields attaining the 
 Drinfeld-Vladut bound'' Invent. Math., vol. 121, 1995, pp. 211--222.
+\bibitem[Ha1896]{Ha1896}
+Hathway, Arthur S., "A Primer Of Quaternions"  (1896)
 \bibitem[Ha95]{Ha95}
 Hach\'e, G. ``Computation in algebraic function fields for effective 
 construction of algebraic-geometric codes'' 
@@ -633,6 +649,19 @@ Hach\'e, G. and Le Brigand, D.
 ``Effective construction of algebraic geometry codes'' 
 IEEE Transaction on Information Theory, vol. 41, n27 6, 
 November 1995, pp. 1615--1628.
+\bibitem[Knu84]{Knu84}
+Knuth, Donald, {\it The \TeX{}book} \\
+Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
+1984. ISBN 0-201-13448-9
+\bibitem[Kn92]{Kn92}
+Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4 Stanford CA (1992) 
+\bibitem[La86]{La86}
+Lamport, Leslie, 
+{\it LaTeX: A Document Preparation System,} \\
+Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
+1986. ISBN 0-201-15790-X
 \bibitem[LR88]{LR88}
 Le Brigand, D. and Risler, J.J.
 ``Algorithme de Brill-Noether et codes de Goppa''
@@ -658,6 +687,12 @@ M.W. Ostrogradsky. De l'int\'{e}gration des fractions
 rationelles. {\sl Bulletin de la Classe Physico-Math\'{e}matiques de
 l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,}
 IV:145-167,286-300, 1845
+\bibitem[Pu09]{Pu09}
+Puffinware LLC ``Singular Value Decomposition (SVD) Tutorial'' 
+\verb|www.puffinwarellc.com/p3a.htm|
+\bibitem[Ra03]{Ra03}
+Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for Literate Programming''
+\verb|www.eecs.harvard.edu/~nr/noweb|
 \bibitem[Ris68]{Ris68}
 Robert Risch. ``On the integration of elementary functions
 which are built up using algebraic operations'' Research Report
@@ -674,8 +709,38 @@ Robert Risch. ``The solution of problem of integration in finite terms''
 \bibitem[Ris79]{Ris79}
 Robert Risch. ``Algebraic properties of the elementary functions of analysis'' 
 {\sl American Journal of Mathematics}, 101:743-759, 1979
+\bibitem[Ro72]{Ro72}
+Maxwell Rosenlicht. Integration in finite terms. 
+{\sl American Mathematical Monthly}, 79:963-972, 1972
+\bibitem[Ro77]{Ro77}
+Michael Rothstein. ``A new algorithm for the integration of
+exponential and logarithmic functions'' In {\sl Proceedings of the 1977
+MACSYMA Users Conference}, pages 263-274. NASA Pub CP-2012, 1977
 \bibitem[St93]{St93}
 Stichtenoth, H. ``Algebraic function fields and codes''
 Springer-Verlag, 1993, University Text.
+\bibitem[Ta1890]{Ta1980}
+Tait, P.G.,{\it An Elementary Treatise on Quaternions} 
+C.J. Clay and Sons, Cambridge University Press Warehouse, Ave Maria Lane 1890
+\bibitem[Tr76]{Tr76}
+Trager, Barry ``Algebraic factoring and rational function integration''
+In {Proceedings of SYMSAC'76} pages 219-226, 1976
+\bibitem[Tr84]{Tr84}
+Trager Barry {\sl On the integration of algebraic functions}, 
+PhD thesis, MIT, Computer Science, 1984
+\bibitem[vH94]{vH94}
+M. van Hoeij. ``An algorithm for computing an integral
+basis in an algebraic function field'' {\sl J. Symbolic Computation}
+18(4):353-364, October 1994
+\bibitem[Wa03]{Wa03}
+Watt, Stephen, ``Aldor'', \verb|www.aldor.org|
+\bibitem[We71]{We71}
+Andr\'{e} Weil, {\sl Courbes alg\'{e}briques et
+vari\'{e}t\'{e}s Abeliennes} Hermann, Paris, 1971
+\bibitem[Wo09]{Wo09}
+Wolfram Research, \verb|mathworld.wolfram.com/Quaternion.html|
+\bibitem[Yu76]{Yu76}
+D.Y.Y. Yun. ``On square-free decomposition algorithms''
+{\sl Proceedings of SYMSAC'76} pages 26-35, 1976
 \end{thebibliography}
 \end{document}
diff --git a/changelog b/changelog
index 3ff9317..01d63cd 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100419 tpd src/axiom-website/patches.html 20100419.02.tpd.patch
+20100419 tpd books/bookvol10.1 rename and align biblio with bookvolbib
+20100419 tpd books/bookvolbib rename and align biblio with bookvol10.1
 20100419 tpd src/axiom-website/patches.html 20100419.01.tpd.patch
 20100419 tpd books/bookvolbib Du95, Ga95, Ha95, Ha96, HI96, HL95, LR88, St93
 20100418 tpd src/axiom-website/patches.html 20100418.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2132805..9611744 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2639,5 +2639,7 @@ books/bookvol10.3 add UnivariateTaylorSeriesCZero<br/>
 books/bookvolbib add citation SDJ07<br/>
 <a href="patches/20100419.01.tpd.patch">20100419.01.tpd.patch</a>
 books/bookvolbib Du95, Ga95, Ha95, Ha96, HI96, HL95, LR88, St93<br/>
+<a href="patches/20100419.02.tpd.patch">20100419.02.tpd.patch</a>
+books/bookvolbib,bookvol1 rename and align biblio sections<br/>
  </body>
 </html>
